<template>
	<canvas :width="width" :height="height" ref="canvas"></canvas>
</template>

<script>
import Chart from "chart.js";
export default {
	props: ["id", "width", "height", "inProgress", "finished"],
	data: () => ({
		chart: Chart,
		metrics: null,
		inProgressAlpha: 0,
		borderalpha: 0.8,
		colors: [
			"rgba(255, 70, 80, 1)",
			"rgba(75, 192, 130, 1)",
			"rgba(54, 162, 235, 1)",
			"rgba(255, 206, 86, 1)",
			"rgba(153, 102, 255,1)",
			"rgba(255, 159, 64, 1)"
		]
	}),
	watch: {
		finished: {
      deep: true,
			handler() {
        this.chart.data.datasets[0].data = this.finished
				this.chart.update();
			}
    },
      inProgress: {
      deep: true,
			handler() {
        this.chart.data.datasets[1].data = this.inProgress
				this.chart.update();
			}
		}
	},
	mounted() {
		var ctx = this.$refs.canvas.getContext("2d");
		this.chart = new Chart(ctx, {
			type: "bar",
			data: {
				labels: ["Red", "Green ", "Blue", "Yellow"],
				datasets: [
					{
						label: `Finished`,
						data: this.finished,

						backgroundColor: this.colors,
						// hoverBackgroundColor : gradients,1)
						borderColor: [
							`rgba(255,80,100,${this.borderalpha})`,
							`rgba(75, 192, 130, ${this.borderalpha})`,
							`rgba(54, 162, 235, ${this.borderalpha})`,
							`rgba(255, 206, 86, ${this.borderalpha})`
						],
						borderWidth: 4
					},
					{
						label: `In Production`,
						data: this.inProgress,
						backgroundColor: [
							`rgba(255, 99, 132, ${this.inProgressAlpha})`,
							`rgba(75, 192, 192, ${this.inProgressAlpha})`,
							`rgba(54, 162, 235, ${this.inProgressAlpha})`,
							`rgba(255, 206, 86, ${this.inProgressAlpha})`
						],
						borderColor: [
							`rgba(255,80,100,${this.borderalpha})`,
							`rgba(75, 192, 130, ${this.borderalpha})`,
							`rgba(54, 162, 235, ${this.borderalpha})`,
							`rgba(255, 206, 86, ${this.borderalpha})`
						],
						borderWidth: 4
					}
				]
			},
			options: {
				scales: {
					xAxes: [
						{
							stacked: true,
							gridLines: {
								display: false
							}
						}
					],
					yAxes: [
						{
							stacked: true,
							gridLines: {
								color: "gray"
							},
							ticks: {
								beginAtZero: true,
								suggestedMax: 10
							}
						}
					]
				}
			}
		});
	}
};
</script>